<?php


namespace App\Imports;


use App\Models\ProductInPromo;
use App\Models\ProductInPromoByDay;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\Importable;
use Maatwebsite\Excel\Concerns\SkipsErrors;
use Maatwebsite\Excel\Concerns\SkipsOnError;
use Maatwebsite\Excel\Concerns\ToCollection;
use PhpOffice\PhpSpreadsheet\Shared\Date;

class PrizeImport implements
    ToCollection,
    SkipsOnError
{
    use Importable, SkipsErrors;


    /**
     * @inheritDoc
     */
    public function collection(Collection $collection)
    {
        ProductInPromoByDay::truncate();
        $procedingRow = 0;
        $dateArray = array();
        $productInPromos = ProductInPromo::all();
        $m = 0;
        foreach($collection as $row) {
            $procedingRow += 1;
            if($procedingRow == 1 ||  $procedingRow == 2) {
                continue;
            }

            if($procedingRow == 3) {// Let create array for date
                $j = 0;
                foreach ($row as $item) {
                    $j += 1;
                    if($j == 1) {
                        continue;
                    }

                    if(!is_null($item)) {
                        $itemDate = Date::excelToDateTimeObject($item);
                        $dateArray[] = $itemDate->format('Y-m-d');
                    }
                }
                continue;
            } //End processing Row 3



            $item = $row[0];
            $item = trim($item);
            if(!strlen($item)) {
                continue;
            }

            $productInPromo = $productInPromos[$m];
            $m += 1;

            for($j = 0; $j < count($dateArray); $j++) {
                $k = $j+1;
                $productInPromoByDay = new ProductInPromoByDay();
                $productInPromoByDay->product_id = $productInPromo->id;
                $productInPromoByDay->theDay = $dateArray[$j];
                if(!is_null($row[$k])) {
                    $productInPromoByDay->quantity = $row[$k];
                } else {
                    $productInPromoByDay->quantity = 0;
                }

                $productInPromoByDay->save();
            }

        }
    }
}
