<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
Route::get('/iswinner', [\App\Http\Controllers\API\PrizingTaskController::class, 'checkIfWinner'])->name("Check If Winner");
Route::get('/winnerdata', [\App\Http\Controllers\API\PrizingTaskController::class, 'saveWinner'])->name("Save Winner");
Route::get('/sendtombolanum', [\App\Http\Controllers\API\PrizingTaskController::class, 'sendTombolaNum'])->name("Send Tombola Number");




Route::resource('players', App\Http\Controllers\API\PlayerAPIController::class);

Route::resource('product_daily_win_times', App\Http\Controllers\API\ProductDailyWinTimeAPIController::class);

Route::resource('product_in_promos', App\Http\Controllers\API\ProductInPromoAPIController::class);

Route::resource('product_in_promo_by_days', App\Http\Controllers\API\ProductInPromoByDayAPIController::class);


Route::resource('send_sms_cmrs', App\Http\Controllers\API\SendSmsCmrAPIController::class);
