<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [
    HomeController::class, 'index'
])->name('home');
Route::get('/import', [\App\Http\Controllers\PrizeImportController::class, 'show'])->name("Importing Form");
Route::post('/import', [\App\Http\Controllers\PrizeImportController::class, 'store'])->name("Imported Processing");
Route::get('/generate', [\App\Http\Controllers\ProcessingWinningTimeController::class, 'processWinningTime'])->name("Processing Winning time");




Route::resource('players', App\Http\Controllers\PlayerController::class);

Route::resource('productDailyWinTimes', App\Http\Controllers\ProductDailyWinTimeController::class);

Route::resource('productInPromos', App\Http\Controllers\ProductInPromoController::class);

Route::resource('productInPromoByDays', App\Http\Controllers\ProductInPromoByDayController::class);


Route::resource('sendSmsCmrs', App\Http\Controllers\SendSmsCmrController::class);